/* You can add global styles to this file, and also import other style files */
@import '~@angular/material/theming';
@import "assets/scss/color";
@include mat-core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$yourkomarket-app-primary: mat-palette($mat-amber, 800);
$yourkomarket-app-accent:  mat-palette($mat-light-green, 800, 900, A400);
//$yourkomarket-app-accent: #626500;

// The warn palette is optional (defaults to red).
$yourkomarket-app-warn:    mat-palette($mat-red, A400);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as `color` or `typography`.
$yourkomarket-app-theme: mat-light-theme((
        color: (
                primary: $yourkomarket-app-primary,
                accent: $yourkomarket-app-accent,
                warn: $yourkomarket-app-warn,
        )
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($yourkomarket-app-theme);

html, body { height: 100%; font-size: 1.2rem }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif;}
body *{
  font-size: 1.1rem
}
pre{
  width: 100%;
  white-space: normal;
}
a{
    color: $color-link;
    &:hover{
        color: $color-accent;
    }
}

